<?php
/**
 * USER CONFIGURATION ITEMS
 *
 * Editing the values here customizes the behavior of Feed Reader Central
 */


/**
 * Which security model should the application use? Options are:
 * - Security::SINGLE_USER (no e-mail required, does not require a password)
 * - Security::SINGLE_USER_WITH_PASSWORD (no e-mail required, does require a password)
 * - Security::MULTI_USER (e-mail and password required for all users)
 *
 * (NOTE THAT ONLY SINGLE_USER IS CURRENTLY IMPLEMENTED)
 */
const SECURITY_MODEL = Security::SINGLE_USER;

/** The name of the database file where users and feeds should be kept */
const DATABASE_NAME = 'frc.db';

// END USER CONFIGURATION ITEMS
//   (editing below this line is not advised)
